Package org.apache.sling.event.impl.jobs.tasks

# Class CheckTopologyTask

java.lang.Object
org.apache.sling.event.impl.jobs.tasks.CheckTopologyTask

public class CheckTopologyTask extends Object
The check topology task checks for changes in the topology and queue configuration and reassigns jobs. If the leader instance finds a dead instance it reassigns its jobs to live instances. The leader instance also checks for unassigned jobs and tries to assign them. If an instance detects jobs which it doesn't process anymore it reassigns them as well.

## Constructor Summary

Constructors
Constructor
Description
`CheckTopologyTask(JobManagerConfiguration config)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`assignUnassignedJobs()`
Try to assign unassigned jobs as there might be changes in: - queue configurations - topology - capabilities
`void`
`fullRun()`
One maintenance run

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CheckTopologyTask

public CheckTopologyTask(JobManagerConfiguration config)
Constructor

Parameters:
  `config` - The configuration

## Method Details

### assignUnassignedJobs

public void assignUnassignedJobs()
Try to assign unassigned jobs as there might be changes in: - queue configurations - topology - capabilities

### fullRun

public void fullRun()
One maintenance run